<template>
    <div class="container">
        <div class="row">
            <div class="col-sm-3 col-md-3 col-lg-3"></div>
            <div class="col-sm-6">
                <br><br>
                <center>
                    <h2>Admin Profile </h2>
                </center>
                <br><br>
               <span>
                <div class="form-group">
                    <label for="">Name</label>
                    <input type="text" name="name" class="form-control" v-model="details.name" />
                    {{ details.name }}
                    <ul v-if="error.name">
                        {{ error.name[0] }}
                    </ul>
                </div> 
                <div class="form-group">
                   <label for="">Email</label>
                   <input type="text" class="form-control" v-model="details.email">
                   <ul v-if="error.email">
                       {{ error.email[0] }}
                   </ul>
                </div>
                <div class="form-group">
                    <label for="">Edit Image</label>
                    <img :src="'images/'+ details.image" alt="" id="profileimage">
                    <input type="file" class="form-control" v-on:change="getnewimage">
                </div>
                 </span>
             <button class="btn btn-primary" @click="editRecord">Update</button>
             {{ demo }}
            </div>
            <div class="col-sm-3 col-lg-3 col-md-3"></div>
        </div>
    </div>
</template>
<script>
export default {
    data(){
        return {
            details:[],
            img:'',
            form : new FormData,
            error:[],
            count:0,
            renderComponent: true,
            demo:'',
        }
    },
    methods:{
        getnewimage:function(e){
            console.log(e);
            this.img = e.target.files[0];
        },
      
        editRecord() {
            this.form.append('pic',this.img);
            this.form.append('name',this.details.name);
            this.form.append('email',this.details.email);
            const config = {
                    headers: { 'content-type': 'multipart/form-data' }
                }
            axios.post("/editprofile",this.form,config)
            .then(data=> {
                this.$emit('updationsuccess',data);
                this.$eventBus.$emit('update',data);
                // this.$eventBus.$on('update-profile',this.created());
                vm.$forceUpdate();
            })
            .catch(error=>{i
                this.error = error.response.data.errors
            })
    },
    reloadadmindetails:function(){
        axios.get('/admindetails')
        .then((response)=> this.details = response.data)  
    }
    },
    created(){
           this.$eventBus.$on('update',this.reloadadmindetails)
           axios.get('/admindetails')
           .then((response)=> this.details = response.data)
        },
}
</script>
<style>
#profileimage
{
    height: 100px;
    width: 100px;
}
</style>


